default.table.rules
Prev | Tables | Next

## default.table.rules

default.table.rules — The default column and row rules for tables using HTML markup

## Synopsis

    <xsl:param name="default.table.rules">none</xsl:param>

## Description

Tables using HTML markup elements can use an attribute named `rules` on the `table` or `informaltable` element to specify whether column and row border rules should be displayed. This parameter lets you specify a global default style for all HTML tables that don't otherwise have that attribute.

These are the supported values:

all

  Rules will appear between all rows and columns.

rows

  Rules will appear between rows only.

cols

  Rules will appear between columns only.

groups

  Rules will appear between row groups (thead, tfoot, tbody). No support for rules between column groups yet.

none

  No rules. This is the default value.

The border after the last row and the border after the last column are not affected by this setting. Those borders are controlled by the `frame` attribute on the table element.

Prev | Up | Next
default.table.frame | Home | table.cell.padding